Test and Measurement Forum

Latest version doesn't find my PicoScope

Discussion forum for the new Picoscope Linux software

Latest version doesn't find my PicoScope

Postby mti » Tue Feb 03, 2015 8:39 pm

I just tried to upgrade to the latest version of the PicoScope program and drivers but then it doesn't find my PicoScope any longer.

If I downgrade to version 6.10.1.13 it works again.

I have a 2204A. I'm running Arch Linux but using the Debian drivers. Even if this isn't a supported configuration I thought you might want to invesigate it anyway.

Version that works:
libps2000_2.1.2-3r05_amd64.deb
libpicoipp_1.1.2-3~21_amd64.deb
picoscope_6.10.1-4r13_all.deb

Version that doesn't work:
libps2000_2.1.4-3r26_amd64.deb
libpicoipp-1.1.2-4r21_amd64.deb
picoscope_6.10.1-4r36_all.deb

I attached trace.xml from a session with the version that does not work.

/Mikael
Attachments
trace-fail.xml
(11.1 KiB) Downloaded 113 times
mti
Newbie
 
Posts: 0
Joined: Tue Feb 03, 2015 7:39 pm

Re: Latest version doesn't find my PicoScope

Postby mti » Wed Feb 04, 2015 8:08 am

I found the problem myself and it was specific to Arch Linux.

Just for information if anyone has a similar problem: When converting from Debian package format Arch 'makepkg' now strips all binaries in the package. This for some reason broke the program. Overriding the defaults (in /etc/makepkg) to not strip solves the problem.

/Mikael
mti
Newbie
 
Posts: 0
Joined: Tue Feb 03, 2015 7:39 pm

Re: Latest version doesn't find my PicoScope

Postby acpcalin » Sat Feb 14, 2015 7:57 pm

Thanks a lot! Stumbled upon this problem my self, and the solution you suggested worked! :)
acpcalin
Newbie
 
Posts: 0
Joined: Sat Feb 14, 2015 7:54 pm

Re: Latest version doesn't find my PicoScope

Postby jerash » Sat Feb 21, 2015 8:58 pm

Hello,
could you be a more specific on how you tell makepkg not to strip ?

I've tried to remove the strip option from /etc/makepkg.conf, and reinstall using yaourt, but it still does not catch the picoscope, and the app crashes. (It worked previously on a ubuntu install). The yaourt package is prepared for x86_64, although my install is i686, so i changed the PKGBUILD.
I'd apreciate any more information on how to install the software for archlinux. thanks.
jerash
Newbie
 
Posts: 0
Joined: Mon Dec 08, 2014 3:44 pm

Re: Latest version doesn't find my PicoScope

Postby mti » Fri Feb 27, 2015 9:05 am

I think adding "options=(!strip)" to the PKGBUILD should work. If that doesn't work try to change /etc/makepkg.conf instead. "OPTIONS=(!strip docs ...)". That worked for me.

I will try to find some time to update the scripts in AUR.

/Miakel
mti
Newbie
 
Posts: 0
Joined: Tue Feb 03, 2015 7:39 pm

Re: Latest version doesn't find my PicoScope

Postby bortolozzo » Wed Dec 02, 2015 11:00 pm

Hello,
I have tried to change /etc/makepkg.conf ("OPTIONS=(!strip docs ...)") but
picoscope 6 (on the contrary of the previous versions) still doesn't work for me...
under archlinux....
I'd appreciate any help, thanks.
bortolozzo
Newbie
 
Posts: 0
Joined: Wed Dec 02, 2015 10:46 pm

Re: Latest version doesn't find my PicoScope

Postby mti » Fri Dec 04, 2015 4:38 pm

I have been using the version you find in AUR for a long time without any problems on both 32 bit and 64 bit Arch. But I only tested with libps2000a.

Maybe you can give some more info, error messages etc.

/Mikael
mti
Newbie
 
Posts: 0
Joined: Tue Feb 03, 2015 7:39 pm

Re: Latest version doesn't find my PicoScope

Postby bortolozzo » Fri Dec 04, 2015 8:43 pm

I have a picoscope 2205A (and 64 bit arch....),
I have installed :
- picoscope 6.11.6_4r33-1
- libps2000 2.1.5_3r06-1
- libpicoipp 1.1.2_4r52-1
from aur....
the picoscope is correctly detected
(usb 1-2: new high-speed USB device number 24 using xhci_hcd)
but picoscope 6 can't find any device (only demo.)...??
bortolozzo
Newbie
 
Posts: 0
Joined: Wed Dec 02, 2015 10:46 pm

Re: Latest version doesn't find my PicoScope

Postby mti » Sun Dec 06, 2015 11:13 am

Hi

Did you add yourself to the 'pico' group? See /etc/udev/rules.d/95-pico.rules for instructions.

Does it work if you run as root?

If you want to I can perhaps upload my package files somewhere to see if the problem is related to _building_ the packages or to _using_ them. I don't have time to do that until tomorrow monday.

/Mikael
mti
Newbie
 
Posts: 0
Joined: Tue Feb 03, 2015 7:39 pm

Re: Latest version doesn't find my PicoScope

Postby bortolozzo » Sun Dec 06, 2015 11:22 pm

Hello,
thanks for your answer.
Yes I added 'pico' to user group. As root picoscope doesn't detect the picoscope.
(ps2000con works properly so I think it isn't an hardware problem....)

Yes, this would be helpful for me. Thanks again.
bortolozzo
Newbie
 
Posts: 0
Joined: Wed Dec 02, 2015 10:46 pm

Re: Latest version doesn't find my PicoScope

Postby mti » Mon Dec 07, 2015 4:08 pm

Hi

I just tested my Picoscope at home and I seem to have the same problem as you have. It did work a few months ago and it does work on my computer at work. So probably some update has broken it. I update more often at home that at work.

So I will definitely try to find the problem but I don't really know where to start looking.

I will get back as soon as I have something more to report.

/Mikael
mti
Newbie
 
Posts: 0
Joined: Tue Feb 03, 2015 7:39 pm

Re: Latest version doesn't find my PicoScope

Postby mti » Mon Dec 07, 2015 4:36 pm

I just downgraded to mono-4.0.4.1-1-x86_64.pkg.tar.xz and now it works again. By looking at some other threads in the forum this doesn't seem to be Arch specific.

I know next to nothing about mono so I leave it to the people att PicoScope to find what is causing the problem.

/Mikael

PS: Attached is an updated PKGBUILD file for the latest version of picoscope that adds serial decoding. I will upload it to AUR later.
Attachments
PKGBUILD.txt
(1.29 KiB) Downloaded 104 times
mti
Newbie
 
Posts: 0
Joined: Tue Feb 03, 2015 7:39 pm

Re: Latest version doesn't find my PicoScope

Postby bortolozzo » Tue Dec 08, 2015 9:06 am

ok, I downgraded to mono-4.0.4.1-1-x86_64.pkg.tar.xz and used your PKGBUILD.
Now it works. Thank you.
bortolozzo
Newbie
 
Posts: 0
Joined: Wed Dec 02, 2015 10:46 pm

Re: Latest version doesn't find my PicoScope

Postby totalkrill » Mon Jan 25, 2016 7:30 pm

Hi!

I am in a similar position, I cannot however seem to find the mono package. Do anyone of you guys still have it? Also, thanks Mikael for updating the AUR packages!

- TotalKrill
totalkrill
Newbie
 
Posts: 0
Joined: Fri Apr 11, 2014 3:57 pm

Re: Latest version doesn't find my PicoScope

Postby mti » Wed Jan 27, 2016 7:24 pm

mti
Newbie
 
Posts: 0
Joined: Tue Feb 03, 2015 7:39 pm

Next

Return to PicoScope for Linux

Who is online

Users browsing this forum: No registered users and 0 guests